Package org.apache.catalina.tribes

# Interface MembershipListener

All Known Subinterfaces:
  `ChannelInterceptor`

All Known Implementing Classes:
  `AbstractReplicatedMap`, `ChannelCoordinator`, `ChannelInterceptorBase`, `CloudMembershipService`, `DomainFilterInterceptor`, `EncryptInterceptor`, `FragmentationInterceptor`, `GroupChannel`, `GzipInterceptor`, `LazyReplicatedMap`, `McastService`, `MembershipServiceBase`, `MessageDispatchInterceptor`, `NonBlockingCoordinator`, `OrderInterceptor`, `ReplicatedMap`, `SimpleCoordinator`, `SimpleTcpCluster`, `StaticMembershipInterceptor`, `StaticMembershipService`, `TcpFailureDetector`, `TcpPingInterceptor`, `ThroughputInterceptor`, `TwoPhaseCommitInterceptor`

public interface MembershipListener
The MembershipListener interface is used as a callback to the membership service. It has two methods that will notify the listener when a member has joined the group and when a member has disappeared (crashed)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `memberAdded(Member member)`
  A member was added to the group
  `void`
  `memberDisappeared(Member member)`
  A member was removed from the group
  If the member left voluntarily, the Member.getCommand will contain the Member.SHUTDOWN_PAYLOAD data

- ## Method Details

  - ### memberAdded

    void memberAdded(Member member)
    A member was added to the group
    Parameters:
      `member` - Member - the member that was added

  - ### memberDisappeared

    void memberDisappeared(Member member)
    A member was removed from the group
    If the member left voluntarily, the Member.getCommand will contain the Member.SHUTDOWN_PAYLOAD data
    Parameters:
      `member` - Member
    See Also:
      - `Member.SHUTDOWN_PAYLOAD`